For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
        • GETList bulk deletes
        • POSTInitiate a new bulk delete
        • GETFetch a single bulk delete object
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsBulk ActionsDelete

Fetch a single bulk delete object

||View as Markdown|
GET
https://api.close.com/api/v1/bulk_action/delete/:id/
GET
/api/v1/bulk_action/delete/:id/
$curl https://api.close.com/api/v1/bulk_action/delete/id/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "bulk_object_type": "lead",
3 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
4 "date_created": "2015-03-16T00:19:50.141000+00:00",
5 "date_updated": "2015-03-16T00:20:09.442000+00:00",
6 "id": "bulkdelete_asdVYCm54A0El829k39e7nIvlCSDDhVLuyb8aspGSET",
7 "n_leads": 77,
8 "n_leads_processed": 77,
9 "n_objects": 77,
10 "n_objects_processed": 77,
11 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
12 "query": "lead_status:Potential",
13 "results_limit": null,
14 "s_query": {
15 "queries": [
16 {
17 "object_type": "lead",
18 "type": "object_type"
19 },
20 {
21 "condition": {
22 "mode": "full_words",
23 "type": "text",
24 "value": "ACME Inc."
25 },
26 "field": {
27 "field_name": "name",
28 "object_type": "lead",
29 "type": "regular_field"
30 },
31 "type": "field_condition"
32 }
33 ],
34 "type": "and"
35 },
36 "send_done_email": false,
37 "sort": [],
38 "status": "done",
39 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
40}
Was this page helpful?
Previous

Initiate a new bulk delete

Next

List bulk sequence subscriptions

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
bulk_object_typeenum
Allowed values:
created_bystring or null
date_createddatetime or null
date_updateddatetime or null
idstring
n_leadsinteger or null
n_leads_processedinteger
n_objectsinteger or null
n_objects_processedinteger
organization_idstring
querystring or null
results_limitinteger or null
s_querymap from strings to any
send_done_emailboolean
sortlist of maps from strings to any
statusenum or null
updated_bystring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error